hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Jakarta-httpclient Wiki] Update of "FrequentlyAskedApplicationDesignQuestions" by RolandWeber
Date Sat, 29 Dec 2007 08:27:19 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Jakarta-httpclient Wiki" for change
notification.

The following page has been changed by RolandWeber:
http://wiki.apache.org/jakarta-httpclient/FrequentlyAskedApplicationDesignQuestions

The comment on the change is:
proxy selection adjusted for Java 5 requirement

------------------------------------------------------------------------------
  Since Java 5.0, the
  [http://java.sun.com/j2se/1.5.0/docs/api/java/net/ProxySelector.html ProxySelector]
  class allows for a more flexible, per-connection proxy configuration of the default HTTP
implementation.
+ Because !HttpClient 3.1 is compatible with Java 1.2, it cannot support that class directly.
- Because !HttpClient 3.1 is compatible with Java 1.2 and !HttpClient 4.0 will probably be
compatible with Java 1.4,
- this class will not be directly supported by !HttpClient anytime soon.
  However, your application can make use of the default {{{ProxySelector}}} to pick up the
- standard proxy configuration and pass it it !HttpClient.
+ standard proxy configuration and pass it to !HttpClient.
+ !HttpClient 4.0 requires Java 5 and will include an optional proxy selection mechanism
+ based on {{{ProxySelector}}}. If you choose to obtain your proxy configuration elsewhere,
+ you will of course still be able to do that, too.
  
  
  === Operating System Settings ===

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message